Module ConstantVar
implicit none

real(8),parameter	::Rho=1025.0d0
real(8),parameter	::Gravity=9.81d0
real(8),parameter	::PI=3.1415926d0
integer,save::I,J,K,MX,MY,MZ
end module

Module MultiFloat
implicit none

integer,save ::MM
end module   
    
Module ParameterVar
implicit none

real(8) ::EpsUpsilonFunction
real(8),dimension(:,:),allocatable,save::Mass,Restoring
end module

Module Hstardata
implicit none

integer,save::OmegaNb
integer,save::OmegaPoint
real(8),dimension(:),allocatable,save::NeOmega
real(8),dimension(:,:,:),allocatable,save::Mu,Lambda
real(8),dimension(:,:),allocatable,save::Fd,Bate
end module

Module HingeMatrix
implicit none

real(8),dimension(:,:),allocatable,save ::S,ST
end module

Module MooringMode
implicit none
integer,save ::N
real(8),dimension(:,:),allocatable,save ::xibo
end module
